import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listBak(query) {
  return request({
    url: '/app/taskbak/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getBak(taskId) {
  return request({
    url: '/app/taskbak/' + taskId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addBak(data) {
  return request({
    url: '/app/taskbak',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateBak(data) {
  return request({
    url: '/app/taskbak',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delBak(taskId) {
  return request({
    url: '/app/taskbak/' + taskId,
    method: 'delete'
  })
}
